# Get a User's ERC20 Balance

## Getting ERC20 balance of user

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/erc20/balance`

#### Request Body

| Name                                           | Type   | Description                   |
| ---------------------------------------------- | ------ | ----------------------------- |
| chainId<mark style="color:red;">\*</mark>      | String | network id                    |
| tokenAddress<mark style="color:red;">\*</mark> | String | address of the token contract |
| address<mark style="color:red;">\*</mark>      | String | address of the user           |

{% tabs %}
{% tab title="200: OK return the balance is in wei" %}

```javascript
{
    success: true,
    message: 1000000000000,
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-erc20-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
